Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1563583 - rhcert-ci --help ends with error [NEEDINFO]
Summary: rhcert-ci --help ends with error
Keywords:
Status: NEW
Alias: None
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Greg Nichols
QA Contact: rhcert qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 08:48 UTC by Martin Kopec
Modified: 2018-09-12 22:50 UTC (History)
2 users (show)

Fixed In Version: redhat-certification-5.13-20180528.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
mkopec: needinfo?


Attachments (Terms of Use)

Description Martin Kopec 2018-04-04 08:48:03 UTC
Description of problem:
Showing help ends up with error message and non zero return code.


Version-Release number of selected component (if applicable):
[root@undercloud-0 ~]# rpm -qa | grep certification
redhat-certification-backend-5.9-20180312.1.el7.noarch
redhat-certification-5.9-20180312.1.el7.noarch
redhat-certification-openstack-5.9-20180312.1.el7.noarch


How reproducible:
Every time when `rhcert-ci --help` is run

Steps to Reproduce:
1. Install redhat-certification-backend package
2. Run: rhcert-ci --help


Actual results:
[root@undercloud-0 ~]# rhcert-ci --help
Usage: rhcert-ci <command> [options]

command:
	plan 	- plan certification testing
	clean [all] - remove all results and temporary files
	run 	- run specific certification tests
	print 	- print certification test results
	version	- prints the version of rhcert
	save	- save a copy of the current test results to a local sandbox


For help on options, use rhcert-ci <command> --help

rhcert-ci: error: showing help
[root@undercloud-0 ~]# echo $?
2


Expected results:
I'd say, it should be:

[root@undercloud-0 ~]# rhcert-ci --help
Usage: rhcert-ci <command> [options]

command:
	plan 	- plan certification testing
	clean [all] - remove all results and temporary files
	run 	- run specific certification tests
	print 	- print certification test results
	version	- prints the version of rhcert
	save	- save a copy of the current test results to a local sandbox


For help on options, use rhcert-ci <command> --help
[root@undercloud-0 ~]# echo $?
0

Additional info:

Comment 1 Aniket Khisti 2018-06-27 14:06:57 UTC
Fixed in redhat-certification-5.13-20180528.el7 version.


Note You need to log in before you can comment on or make changes to this bug.